# OS_String.h File Reference

Contains definition of class ACE_OS_String. More...

`#include "ace/ACE_export.h"`
`#include "ace/OS_NS_string.h"`
`#include "ace/OS_NS_strings.h"`
`#include "ace/OS_NS_wchar.h"`
`#include "ace/OS_NS_ctype.h"`
`#include "ace/OS_String.inl"`

Include dependency graph for OS_String.h:

This graph shows which files directly or indirectly include this file:

## Defines

#define | ACE_INLINE inline

## Detailed Description

Contains definition of class ACE_OS_String.

Id
  OS_String.h,v 4.32 2004/06/19 12:47:48 jwillemsen Exp

Author:
  Doug Schmidt <schmidt@cs.wustl.edu>

  Jesper S. M|ller <stophph@diku.dk>

  and a cast of thousands...

## Define Documentation

#define ACE_INLINE inline